Cables
Alle Operationen rund um Cables.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Cable | cable |
11 | — | cable_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/cables |
Create cable | Create a new cable in the active tenant. |
DELETE |
/v1/cables/{id} |
Delete cable | Soft delete entity. |
GET |
/v1/cables/{id} |
Get cable by id | Fetch a single cable. |
GET |
/v1/cables/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/cables/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/cables/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/cables |
List cables | List cables for the active tenant. |
PATCH |
/v1/cables/{id} |
Patch cable | JSON Merge Patch update. |
POST |
/v1/cables/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/cables/{id}/transition |
POST /v1/cables/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/cables/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/cables/{id} |
Replace cable | Full replace with optimistic locking. |